org.eclipse.emf.facet.efacet.core

## Interface IFacetManagerFactory

    public interface IFacetManagerFactory

Factory for `IFacetManager`.

Since:
  0.2
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static IFacetManagerFactory` `DEFAULT` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IFacetManager` `createFacetManager(ResourceSet resourceSet)` Create a new `IFacetManager`.
`IFacetManager` `createFacetManagerWithSerializationResource(Resource resource)` Create a new `IFacetManager`.
`IFacetManager` `getOrCreateDefaultFacetManager(ResourceSet resourceSet)` Get an existing `IFacetManager` or create a new one.
`IFacetManager` `getOrCreateDefaultFacetManagerWithSerializationResource(Resource resource)` Get an existing `IFacetManager` or create a new one.
`IFacetManager` `getOrCreateFacetManager(Resource resource)` Deprecated. Use `getOrCreateDefaultFacetManagerWithSerializationResource(Resource)` instead. The new method name is more understandable
`IFacetManager` `getOrCreateFacetManager(ResourceSet resourceSet)` Deprecated. Use `getOrCreateDefaultFacetManager(ResourceSet)` instead. The new method name is more understandable

### Field Detail

#### DEFAULT

    static final IFacetManagerFactory DEFAULT

The singleton instance of the factory.

### Method Detail

#### getOrCreateFacetManager

    @Deprecated
    IFacetManager getOrCreateFacetManager(Resource resource)

Deprecated. Use `getOrCreateDefaultFacetManagerWithSerializationResource(Resource)` instead. The new method name is more understandable
Create an `IFacetManager`.

Parameters:
  `resource` - the `Resource` in which virtual `EStructuralFeature`s are serialized. Can be null if no EStructuralFeature provided a Facet are used.

#### getOrCreateDefaultFacetManagerWithSerializationResource

    IFacetManager getOrCreateDefaultFacetManagerWithSerializationResource(Resource resource)

Get an existing `IFacetManager` or create a new one.

Parameters:
  `resource` - the `Resource` in which virtual `EStructuralFeature`s are serialized. Can be `null` if no EStructuralFeature provided a Facet are used.
Returns:
  The default IFacetManager associated to the Resource
Since:
  1.0

#### getOrCreateFacetManager

    @Deprecated
    IFacetManager getOrCreateFacetManager(ResourceSet resourceSet)

Deprecated. Use `getOrCreateDefaultFacetManager(ResourceSet)` instead. The new method name is more understandable
Create an `IFacetManager`.

Parameters:
  `resourceSet` - the resourceSet which will be used to manage the facet models.

#### getOrCreateDefaultFacetManager

    IFacetManager getOrCreateDefaultFacetManager(ResourceSet resourceSet)

Get an existing `IFacetManager` or create a new one.

Parameters:
  `resourceSet` - the resourceSet which will be used to manage the facet models.
Returns:
  The default IFacetManager associated to the ResourceSet
Since:
  1.0

#### createFacetManagerWithSerializationResource

    IFacetManager createFacetManagerWithSerializationResource(Resource resource)

Create a new `IFacetManager`.

Parameters:
  `resource` - the `Resource` in which virtual `EStructuralFeature`s are serialized. Can be `null` if no EStructuralFeature provided a Facet are used.
Since:
  1.0

#### createFacetManager

    IFacetManager createFacetManager(ResourceSet resourceSet)

Create a new `IFacetManager`.

Parameters:
  `resourceSet` - the resourceSet which will be used to manage the facet models.
Since:
  1.0